<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
      <TargetFramework>net9.0</TargetFramework>
      <Nullable>enable</Nullable>
      <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
      <DockerfileContext>..\..\..</DockerfileContext>
      <GenerateDocumentationFile>true</GenerateDocumentationFile>
      <NoWarn>$(NoWarn);1591</NoWarn>
  </PropertyGroup>
  
  <ItemGroup>
      <Content Update="appsettings.*.json" CopyToPublishDirectory="PreserveNewest" />
  </ItemGroup>
  
  <ItemGroup>
      <PackageReference Include="Google.Protobuf" Version="3.27.0" />
      <PackageReference Include="Grpc.AspNetCore" Version="2.54.0" />
      <PackageReference Include="Grpc.AspNetCore.Web" Version="2.54.0" />
      <PackageReference Include="Grpc.Net.Client" Version="2.54.0" />
      <PackageReference Include="Hangfire.AspNetCore" Version="1.8.22" />
      <PackageReference Include="Hangfire.SqlServer" Version="1.8.22" />
      <PackageReference Include="Mapster" Version="7.4.0" />

      <PackageReference Include="Mapster.DependencyInjection" Version="1.0.0" />
      <PackageReference Include="MediatR" Version="11.0.0" />
      <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="9.0.11">
          <PrivateAssets>all</PrivateAssets>
          <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
      </PackageReference>
      <PackageReference Include="Microsoft.Extensions.Diagnostics.HealthChecks.EntityFrameworkCore" Version="9.0.0" />
      <PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.18.1" />
      <PackageReference Include="Microsoft.AspNetCore.Grpc.Swagger" Version="0.3.8" />
      <PackageReference Include="Microsoft.AspNetCore.Grpc.JsonTranscoding" Version="9.0.11" />
      <PackageReference Include="Serilog.AspNetCore" Version="9.0.0" />
      <PackageReference Include="Serilog.Sinks.MSSqlServer" Version="9.0.2" />
      <PackageReference Include="Serilog.Sinks.Seq" Version="9.0.0" />
      <PackageReference Include="Microsoft.AspNetCore.SignalR.Common" Version="9.0.0" />
  </ItemGroup>
  
  <ItemGroup>
      <ProjectReference Include="..\CMSMicroservice.Application\CMSMicroservice.Application.csproj" />
      <ProjectReference Include="..\CMSMicroservice.Infrastructure\CMSMicroservice.Infrastructure.csproj" />
      <ProjectReference Include="..\CMSMicroservice.Protobuf\CMSMicroservice.Protobuf.csproj" />
  </ItemGroup>
</Project>
